| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions

# Tp::ChannelFactory::SubclassCtor< Subclass > Struct Template Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/channel-factory.h>`

Inherits Tp::ChannelFactory::Constructor.

List of all members.

## Public Member Functions

- virtual ~SubclassCtor ()
- ChannelPtr construct (const ConnectionPtr &conn, const QString &objectPath, const QVariantMap &immutableProperties) const

## Static Public Member Functions

- static ConstructorPtr create ()

### template<typename Subclass>
struct Tp::ChannelFactory::SubclassCtor< Subclass >

## Constructor & Destructor Documentation

template<typename Subclass >

virtual Tp::ChannelFactory::SubclassCtor< Subclass >::~SubclassCtor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<typename Subclass >

static ConstructorPtr Tp::ChannelFactory::SubclassCtor< Subclass >::create | ( |  | ) | `[inline, static]`

template<typename Subclass >

ChannelPtr Tp::ChannelFactory::SubclassCtor< Subclass >::construct | ( | const ConnectionPtr & | conn,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | const`[inline, virtual]`

Implements Tp::ChannelFactory::Constructor.